%
% custom anyremote cfg for basic mythtv use
% 
% Thanks to Tim Hicks (http://www.tim.id.au/blog/?p=11) for this cfg.file
%

% STATUS unknown
% XTEST yes
% SOUND no
% ENV no

GuiAppName=MythTv
GuiAppIcon=mythtv.png
GuiAppType=Example
GuiAppProtocols=Server
GuiAppDesc=MythTV is a homebrew PVR

[Protocol]=Server

% redefine joystick keys
UP=Macro(2)
DOWN=Macro(8)
LEFT=Macro(4)
RIGHT=Macro(6)
FIRE=Macro(5)

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=Set(icons,MythTV,1,no,2,up,3,default,4,left,5,down,6,right,7,pause,8,down,9,down,*,question,0,down,#,plus);\
	Set(layout,default,keypad_only);

Cancel=Make(exit);

Back=Set(text,close);

1=Emulate(key,Escape)
2=Emulate(key,Up)

4=Emulate(key,Left)
5=Emulate(key,Return)
6=Emulate(key,Right)

7=Emulate(key,p)
8=Emulate(key,Down)
9=Emulate(key,9)

* *=Set(text,replace,Help,1 - Escape\n2 - Up\n4 - Move Left\n5 - Return\n6 - Move Right\n7 - Play\n8 - Move Down\n9 - 9\n* * - Help\n0 - 0\n# * - Vol. down\n# # - Vol. up)
0=Emulate(key,0)
# *=Emulate(key,bracketleft)
# #=Emulate(key,bracketright)

[End]
